* {
  box-sizing: border-box;
  margin: 0;
}

:root {
  --lightorange: #8dbfcf;
  --orange: #3a576f;
  --darkorange: #000000;
  --seablue: #d5e4f9;
  --darkblue: #507282;
  --blue: #7895a4;
  --lightblue: rgb(202, 216, 226);
  --sand: #fafaf9;
  --darksand: #ddd2c7;
}

#backgroundContainer {
  position: absolute;
  background-image: url(../images/background_ocean_lr.jpg);
  background-repeat: no-repeat;
  background-size: 100% 100%;
  background-color: white;
  z-index: -1;
  top: 0px;
  left: 0;
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 1;
  padding: 0px;
}

@keyframes overlayFade {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

#backgroundWhite {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 140vw;
  height: 140vh;
  position: absolute;
  left: -20%;
  top: -20%;
  overflow: hidden;
  z-index: 1;
}

@keyframes overlayEnter {
  from {
    opacity: 0;
    height: 400vh;
  }
  to {
    opacity: 0.7;
    height: 140vh;
  }
}

.Aicon {
  animation: overlayEnter 3s;
  position: absolute;
  color: transparent;
  mix-blend-mode: overlay;
  opacity: 0.7;
  height: 140vh;
}

#homeVideo {
  position: fixed;
  top: 0;
  object-fit: fill;
  height: 100vh;
  width: 100vw;
}

#homeVideoRes {
  display: none;
}

body {
  background-color: rgb(255, 255, 255);
}

header {
  animation: navAni 1s ease-out;
  animation-fill-mode: forwards;
  animation-delay: 1s;
  position: fixed;
  top: -130px;
  left: 0;
  border-bottom: 1px solid var(--lightblue);
  width: 100%;
  z-index: 4;
  text-align: center;
  box-shadow: 0px 2px 5px #50728229;
  transition: 1s ease;
}

.onload {
  background-color: rgba(255, 255, 255, 0.45);
}

.onscroll {
  background-color: white;
}

.homeLink {
  height: 55px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 5px 8px 0px 8px;
  line-height: 55px;
  cursor: pointer;
  text-align: center;
}

.homeLink:hover {
  background-color: var(--orange);
}

.home-icon {
  height: 15px;
}

#navigation {
  position: relative;
  width: 100%;
  max-width: 1024px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  margin: auto;
  z-index: 4;
}

#navBar {
  position: relative;
  height: 55px;
  width: auto;
  display: flex;
  flex-direction: row;
  align-items: flex-end;
  justify-content: flex-end;
}

.navLink,
.contactLink {
  height: 55px;
  padding: 5px 20px 0px 20px;
  line-height: 55px;
  color: #8293a0;
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  text-transform: uppercase;
  letter-spacing: 2px;
  font-size: 0.95em;
  text-decoration: none;
  cursor: pointer;
}

.navLink:hover,
.contactLink:hover {
  background-color: var(--orange);
  color: white;
}

.dropdown {
  position: relative;
  top: 0;
  width: 139px;
}

.dropdown-menu {
  transform: scaleY(0%);
  transform-origin: top center;
  position: absolute;
  top: 55px;
  color: white;
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  text-transform: uppercase;
  letter-spacing: 2px;
  font-size: 0.95em;
  text-decoration: none;
  cursor: pointer;
  background-color: #516270dd;
}

@keyframes drop {
  0% {
    transform: scaleY(0%);
  }
  100% {
    transform: scaleY(100%);
  }
}

.drop-link {
  padding: 10px;
}

.drop-link:hover {
  background-color: var(--orange);
}

.drop-link:first-of-type {
  padding-top: 15px;
}

.drop-link:last-of-type {
  padding-bottom: 15px;
}

.dropdown:hover .dropdown-menu {
  animation: drop 0.25s ease-in forwards;
}

#navLogo {
  height: 41px;
  margin: 7px 0px;
  cursor: pointer;
}

#navBarRes {
  display: none;
}

#navLogoRes {
  height: 46px;
  display: none;
  margin: 7px 0px;
}

#nav-res {
  cursor: pointer;
  position: absolute;
  top: 0;
  left: 0;
  display: none;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
}

@keyframes navAni {
  from {
    top: -130px;
  }
  to {
    top: 0;
  }
}

#mainImg {
  animation: logoGrow 3s ease-out;
  height: 65vh;
  opacity: 0.6;
  margin-top: 70px;
  margin-bottom: -80px;
  filter: drop-shadow(0px 4px 10px rgba(27, 42, 65, 0.249));
}

.contact-thanks {
  width: 100vw;
  height: 100vh;
  display: flex;
  overflow: hidden;
  flex-direction: column;
  position: absolute;
  z-index: 3;
  top: 0;
  left: 0;
  justify-content: center;
  align-items: center;
  background-color: rgba(255, 255, 255, 0.45);
}

.contact-thanks h2 {
  width: 100%;
  text-align: center;
}

#landing-page {
  width: 100vw;
  height: 100vh;
  display: flex;
  overflow: hidden;
  flex-direction: column;
  position: relative;
  z-index: 3;
  bottom: 0;
  left: 0;
  justify-content: flex-end;
  align-items: center;
}



.lp-div {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  margin-bottom: 8%;
}

.lp-text {
  width: 100%;
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  font-size: 24pt;
  letter-spacing: 1px;
  font-weight: 300;
  line-height: 110%;
  color: var(--darkblue);
  opacity: 0.8;
  margin: 20px 0px 0px 0px;
  padding: 10px 0px 10px 0px;
  background-color: rgba(255, 255, 255, 0.45);
  box-shadow: 0px 2px 5px #5072822d;
}

section {
  width: 100%;
  overflow: hidden;
  position: relative;
  padding: 55px 0px;
  margin: 0px auto 0px auto;
  background-color: white;
}

section:first-of-type {
  border-top: 1px solid var(--darksand);
}

section:nth-child(odd) {
  background-color: var(--sand);
  border-top: 1px solid var(--darksand);
  border-bottom: 1px solid var(--darksand);
}

.content {
  position: relative;
  width: 100%;
  max-width: 1020px;
  margin: 0px auto 0px auto;
}

.full {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  height: 100vh;
}

.full2 {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  height: calc(100vh - 110px);
}

.page-row {
  display: flex;
  flex-direction: row;
  padding: 20px 0px 20px 20px;
}

.pageType {
  width: 55%;
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  font-size: 16pt;
  font-weight: 200;
  color: var(--darkblue);
  line-height: 150%;
  padding-right: 40px;
  letter-spacing: 0.5px;
}

.text-block {
  width: 100%;
  display: flex;
  flex-direction: row;
  white-space: nowrap;
}

.highlight {
  width: 45%;
  padding-left: 40px;
}

.highlight-text {
  width: 50%;
  display: inline;
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  font-size: 16pt;
  font-weight: 300;
  color: var(--lightorange);
  line-height: 130%;
  margin-right: 20px;
}

.highlight-title {
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  color: var(--orange);
  font-weight: 400;
  text-transform: uppercase;
  font-size: 24pt;
  line-height: 100%;
  margin: 20px 0px 2px 0px;
}

.highlight-title:first-child {
  margin: 2px 0px 2px 0px;
}

footer {
  position: relative;
  z-index: 2;
  bottom: 0;
  left: 0;
  width: 100%;
  color: var(--blue);
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  text-transform: uppercase;
  letter-spacing: 6px;
  font-size: 9pt;
  text-align: center;
  padding: 15px;
  background-color: white;
  border-top: 1px solid var(--darksand);
}

hr {
  display: hidden;
  margin: 20px auto;
}

.about-row {
  display: flex;
  flex-direction: column;
  padding: 20px 0px 20px 20px;
}

.about-type {
  width: 100%;
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  font-size: 16pt;
  font-weight: 200;
  color: var(--darkblue);
  line-height: 150%;
  padding-bottom: 20px;
  letter-spacing: 0.5px;
}

.skills-title {
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  color: var(--orange);
  font-weight: 400;
  text-transform: uppercase;
  font-size: 24pt;
  line-height: 120%;
  margin-bottom: 8px;
}

.skills {
  width: 100%;
  padding-top: 10px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.skills-block {
  width: 48%;
  display: inline-flex;
  flex-direction: column;
  white-space: nowrap;
}

.skills-text {
  width: 100%;
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  font-size: 14pt;
  font-weight: 300;
  color: var(--darkblue);
  line-height: 200%;
  margin-right: 20px;
}

.skills-bar {
  width: 100%;
  background-color: white;
  border: 1px solid var(--blue);
  height: 15px;
  margin-bottom: 5px;
  border-radius: 7.5px;
}

.skills-level {
  background-image: linear-gradient(90deg, #daeff4, #8dbfcf);
  height: 100%;
  border-radius: 7.5px;
}

.pixel-bar {
  display: flex;
  width: 100%;
  height: 8px;
}

.line {
  padding: 4px;
  background-color: var(--blue);
  flex-grow: 1;
}

.box {
  padding: 4px;
  width: 8px;
  background-color: var(--orange);
  margin-left: 8px;
}

.line2 {
  padding: 4px;
  background-color: var(--orange);
  flex-grow: 1;
}

.box2 {
  padding: 4px;
  width: 8px;
  background-color: var(--blue);
  margin-left: 8px;
}

.pixel-bar-2 {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-content: flex-end;
  height: 100%;
  width: 7px;
}

.box3 {
  padding: 4px;
  width: 8px;
  background-color: var(--blue);
  margin-top: 8px;
}

.resume-download {
  width: 100%;
  text-align: center;
  display: flex;
  justify-content: center;
  margin: 10px auto 20px auto;
  cursor: pointer;
}

#download-resume {
  width: 250px;
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  font-size: 16px;
  line-height: 32px;
  text-transform: uppercase;
  font-weight: 400;
  color: var(--orange);
  padding: 8px 15px;
  border: 2px solid var(--orange);
  text-decoration: none;
}

#download-resume:hover {
  color: white;
  background-color: var(--orange);
}

.res {
  display: none;
}

.scroll-icon {
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  position: relative;
  width: 100%;
  height: 90px;
  margin: 20px auto 0px auto;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: flex-end;
  opacity: 0.6;
}

.stacked {
  display: flex;
  text-align: center;
  justify-content: center;
  align-items: center;
  right: 0;
  left: 0;
  margin: auto;
}

@keyframes iconAni {
  from {
    top: 20px;
  }
  to {
    top: 40px;
  }
}

.s1 {
  position: absolute;
  top: 0;
  animation: iconAni 1s linear 0s infinite alternate;
  width: 40px;
  text-align: center;
  color: var(--darkblue);
  font-size: 24px;
}

.s2 {
  position: absolute;
  top: 0;
  border: 2px solid var(--darkblue);
  width: 40px;
  height: 70px;
  border-radius: 18px;
}

.stext {
  position: absolute;
  bottom: 0;
  width: 40px;
  text-align: center;
  text-transform: uppercase;
  font-size: 10px;
  letter-spacing: 1px;
  bottom: 0px;
  color: var(--darkblue);
  right: 0;
  left: 0;
  margin: auto;
}

.drop-in {
  position: absolute;
  right: 0;
}

@media only screen and (max-width: 1027px) {
  #landing-page {
    height: 97vh;
  }

  #backgroundContainer {
    height: 97vh;
  }

  #backgroundOL {
    height: 97vh;
  }

  .nores {
    display: none;
  }

  header {
    box-shadow: 0px 0px 0px;
    background: none;
    border-bottom: 0px;
  }

  .onload {
    background-color: rgba(255, 255, 255, 0);
  }

  .onscroll {
    background-color: rgba(255, 255, 255, 0);
  }

  section {
    padding: 75px 0px 55px 0px;
  }

  #homeVideo {
    display: none;
  }

  #homeVideoRes {
    display: flex;
    position: fixed;
    top: 0;
    left: -50%;
    object-fit: fill;
    height: 100%;
    width: auto;
  }

  .res {
    display: flex;
  }

  footer p {
    line-height: 150%;
    font-size: 7pt;
  }

  #navigation {
    position: absolute;
    top: 0;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    padding: 5px 15px;
    height: 60px;
    background-color: rgb(255, 255, 255);
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1);
  }

  #navBarRes {
    display: flex;
    z-index: 4;
    position: absolute;
    top: 60px;
    width: 100%;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    line-height: 200%;
    padding-bottom: 30px;
    background: url('../images/top-menu-bar.svg') no-repeat center bottom;
    background-size: 1020px;
    filter: drop-shadow(0px 2px 4px rgba(0, 0, 0, 0.1));
  }

  #nav-bottom {
    position: relative;
    z-index: 2;
    top: 0;
    width: 100%;
    height: 80px;
    padding-bottom: 15px;
    background: url('../images/top-menu-bar1.svg') no-repeat center bottom;
    background-size: 1020px;
    filter: drop-shadow(0px 2px 4px rgba(0, 0, 0, 0.1));
  }

  #navLogoRes {
    display: block;
    cursor: pointer;
  }

  #nav-res {
    display: flex;
  }

  #navLogo {
    display: none;
  }

  #navBar {
    display: none;
  }

  .navLink,
  .contactLink {
    font-size: 1em;
    width: 100%;
    color: var(--darkblue);
    background-color: #fafaf9;
  }

  .home-icon {
    height: 20px;
  }

  .pixel-bar {
    height: 5px;
    width: 96%;
    margin: 0px 10px;
    overflow: hidden;
  }

  .line,
  .line2 {
    padding: 2px;
  }

  .box,
  .box2 {
    padding: 2px;
    width: 5px;
    margin-left: 5px;
  }

  .pixel-bar-2 {
    display: none;
  }

  .homeLink {
    width: 100%;
  }

  .full {
    height: auto;
  }

  #pageTitle {
    animation: none;
    font-size: 4.5rem;
    word-break: normal;
    line-height: 90%;
  }

  @keyframes logoGrow {
    from {
      opacity: 0;
      width: 850px;
    }
    to {
      opacity: 0.3;
      width: 90vw;
    }
  }

  #mainImg {
    width: 90vw;
    height: auto;
    margin-top: 0px;
    margin-bottom: -70px;
  }

  .lp-div {
    margin-bottom: 12%;
  }

  .lp-text {
    font-size: 22pt;
  }

  footer {
    position: relative;
    border-top: 1px solid var(--darksand);
  }

  .contactSelect {
    flex-wrap: wrap;
  }

  .page-row,
  .about-row {
    flex-direction: column;
    padding: 20px;
  }

  .about-type {
    padding: 0px 10px 10px 10px;
  }

  .pageType {
    line-height: 150%;
    width: 100%;
    padding: 0px 15px 20px 15px;
  }

  .highlight {
    width: 100%;
    padding: 20px 15px 0px 15px;
    border-left: 0px;
  }

  .highlight-text {
    margin-right: 0;
    font-size: 14pt;
  }

  .skills {
    flex-direction: column;
    padding-left: 15px;
    padding-right: 15px;
  }

  .skills-block {
    width: 100%;
  }

  .skills-title {
    margin: 0px 10px 10px 10px;
  }

  .skills-text {
    font-size: 11pt;
  }

  .skills-bar {
    height: 12px;
  }

  .scroll-icon {
    margin: 15px auto 0px auto;
  }

  .stacked {
    right: 0;
    left: 0;
    margin: auto;
  }

  .stext {
    right: 0;
    left: 0;
    margin: auto;
  }

  #backgroundWhite {
  width: 100vw;
  height: 100vh;
  left: 0;
  top: 0;
}

@keyframes ResoverlayEnter {
  from {
    opacity: 0;
    height: 400vh;
  }
  to {
    opacity: 0.7;
    height: 100vh;
  }
}

.Aicon {
  animation: ResoverlayEnter 3s;
  height: 100vh;
}
}
